Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection Class Reference

Content locator gateway implementation using the DoctrineDatabase. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler, TransformationProcessor $transformationProcessor, $separator)
| Creates a new criterion handler. More...
| handle (SelectQuery $query, Criterion $criterion, $column)
| Generates query expression for operator and value of a Field Criterion. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler
| __construct (DatabaseHandler $dbHandler, TransformationProcessor $transformationProcessor)
| Creates a new criterion handler. More...

## Protected Attributes
| $separator
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler
| $dbHandler
| $comparatorMap
| $transformationProcessor

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler
| prepareLikeString ($string)
| Returns the given $string prepared for use in SQL LIKE clause. More...
| lowerCase ($string)
| Downcases a given string using string transformation processor. More...

## Detailed Description

Content locator gateway implementation using the DoctrineDatabase.

Collection value handler is used for creating a filter on a value that is in fact a collection of values, separated by a character. Eg. list of countries, list of Selection options, list of RelationList Content ids

Definition at line 22 of file Collection.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection::__construct | ( | DatabaseHandler | $dbHandler,
|  | TransformationProcessor | $transformationProcessor,
|  |  | $separator
| ) |  |

Creates a new criterion handler.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |
  \eZ\Publish\Core\Persistence\TransformationProcessor | $transformationProcessor |
  string | $separator |

Definition at line 38 of file Collection.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\$dbHandler, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection\$separator, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\$transformationProcessor.

## Member Function Documentation

## ◆ handle()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection::handle | ( | SelectQuery | $query,
|  | Criterion | $criterion,
|  |  | $column
| ) |  |

Generates query expression for operator and value of a Field Criterion.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  string | $column |

Returns
  \eZ\Publish\Core\Persistence\Database\Expression

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler.

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Keyword.

Definition at line 54 of file Collection.php.

References eZ\Publish\Core\Persistence\Database\Query\bindValue(), eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\lowerCase(), and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\prepareLikeString().

## Member Data Documentation

## ◆ $separator

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection::$separator
| protected

Definition at line 29 of file Collection.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler\Collection\__construct().

The documentation for this class was generated from the following file:

- Collection.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.